{
  inputs = {
    flake-parts.url = "github:hercules-ci/flake-parts";
    nixpkgs.url = "github:nixos/nixpkgs/nixos-23.11";
  };

  outputs = inputs:
    inputs.flake-parts.lib.mkFlake { inherit inputs; } {
      systems = [ "x86_64-linux" "aarch64-linux" ];
      perSystem = { self', system, lib, config, pkgs, ... }: {
        packages.default = pkgs.python311Packages.buildPythonApplication {
          pname = "ha-kiosk-agent";
          version = "0.0.1";
          src = ./src;
          propagatedBuildInputs = with pkgs.python311Packages; [
            pkgs.light
            pkgs.wirelesstools
            pkgs.xorg.xset

            coloredlogs
            configargparse
            evdev
            ha-mqtt-discoverable
            psutil
          ];
        };

        devShells.default = pkgs.mkShell {
          name = "development shell";
          nativeBuildInputs = with pkgs.python311Packages; [
            pkgs.light
            pkgs.wirelesstools
            pkgs.xorg.xset

            coloredlogs
            configargparse
            evdev
            ha-mqtt-discoverable
            psutil
          ];
        };
      };
    };
}
